VESPA-DEPLOY(1)

NAME
vespa-deploy - Deploy (prepare and activate) an application package

SYNOPSIS
vespa deploy [application-directory-or-file] [flags]

DESCRIPTION
Deploy (prepare and activate) an application package.

An application package defines a deployable Vespa application. See https://docs.vespa.ai/en/reference/applications/application-packages.html for details about the files contained in this package.

To get started, 'vespa clone' can be used to download a sample application.

This command deploys an application package. When deploy returns successfully the application package has been validated and activated on config servers. The process of applying it on individual nodes has started but may not have completed.

If application directory is not specified, it defaults to working directory.

In Vespa Cloud you may override the Vespa runtime version (--version) for your deployment. This option should only be used if you have a reason for using a specific version. By default, Vespa Cloud chooses a suitable version for you.

OPTIONS
-A, --add-cert[=false]
    Copy certificate of the configured application to the current application package

-h, --help[=false]
    help for deploy

-l, --log-level="error"
    Log level for Vespa logs. Must be "error", "warning", "info" or "debug"

-V, --version=""
    Override the Vespa runtime version to use in Vespa Cloud

-w, --wait=0
    Number of seconds to wait for service(s) to become ready. 0 to disable (default 0)

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa deploy .
    $ vespa deploy -t cloud
    $ vespa deploy -t cloud -z dev.aws-us-east-1c  # -z can be omitted here as this zone is the default
    $ vespa deploy -t cloud -z dev.gcp-us-central1-f

SEE ALSO
vespa(1)